/*--------------------------------------------------------------------------+
$Id$
|                                                                          |
| Copyright 2011 ForTISS GmbH                     |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.tooling.base.ui.editpart;

/**
 * This is a marker interface for edit parts, which resemble a free behavior
 * like some connector moving freely on the background area of its parent
 * element when viewed internally.
 * 
 * <p>
 * Edit parts implementing this marker must not implement
 * {@link IStickyConnectorEditPart}.
 * 
 * @author $Author$
 * @version $Rev$
 * @ConQAT.Rating RED Hash:
 */
public interface IFreeConnectorEditPart {
	// marker interface
}
